# WorkflowFailureDetails (dapr-sdk-parent 1.10.0 API)

Package io.dapr.workflows.client

## Class WorkflowFailureDetails

- java.lang.Object
- - io.dapr.workflows.client.WorkflowFailureDetails

    public class WorkflowFailureDetails
    extends Object

Represents a workflow failure details.

### Constructor Summary

Constructors
`WorkflowFailureDetails​(com.microsoft.durabletask.FailureDetails failureDetails)` Class constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getErrorMessage()` Gets the error message.
`String` `getErrorType()` Gets the error type, which is the namespace-qualified exception type name.
`String` `getStackTrace()` Gets the stack trace.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WorkflowFailureDetails

    public WorkflowFailureDetails​(com.microsoft.durabletask.FailureDetails failureDetails)

Class constructor.

Parameters:
  `failureDetails` - failure Details

### Method Detail

#### getErrorType

    public String getErrorType()

Gets the error type, which is the namespace-qualified exception type name.

Returns:
  the error type, which is the namespace-qualified exception type name

#### getErrorMessage

    public String getErrorMessage()

Gets the error message.

Returns:
  the error message

#### getStackTrace

    public String getStackTrace()

Gets the stack trace.

Returns:
  the stack trace

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`